## CloudProvidersCollector CloudProvidersCollector — Singleton for tracking all providers. |

## Functions

CloudProvidersCollector * | cloud_providers_collector_dup_singleton ()
GList * | cloud_providers_collector_get_providers ()

## Signals

void | providers-changed | Run Last

## Types and Values

#define | CLOUD_PROVIDERS_TYPE_COLLECTOR
struct | CloudProvidersCollectorClass
| CloudProvidersCollector

## Object Hierarchy

        GObject
        ╰── CloudProvidersCollector

## Includes

    #include <src/cloudproviders.h>

## Description

CloudProvidersCollector is a singleton to track all the changes in all providers. Using a CloudProvidersCollector you can implement integration for all of them at once and represent them in the UI, track new providers added or removed and their status.

## Functions

### cloud_providers_collector_dup_singleton ()

    CloudProvidersCollector *
    cloud_providers_collector_dup_singleton
                                   (void);

#### Returns

A manager singleton.

[transfer full]

### cloud_providers_collector_get_providers ()

    GList *
    cloud_providers_collector_get_providers
                                   (CloudProvidersCollector *self);

#### Parameters

self | A CloudProvidersCollector |

#### Returns

A GList* of CloudProvidersAccount objects.

[transfer none]

## Types and Values

### CLOUD_PROVIDERS_TYPE_COLLECTOR

    #define CLOUD_PROVIDERS_TYPE_COLLECTOR (cloud_providers_collector_get_type())

### struct CloudProvidersCollectorClass

    struct CloudProvidersCollectorClass {
      GObjectClass parent_class;
    };

### CloudProvidersCollector

    typedef struct _CloudProvidersCollector CloudProvidersCollector;

## Signal Details

### The `“providers-changed”` signal

    void
    user_function (CloudProvidersCollector *cloudproviderscollector,
                   gpointer                 user_data)

Flags: Run Last